class MaxPool3d(Module):
  __parameters__ = []
  __buffers__ = []
  training : bool
  ceil_mode : Final[bool] = True
  stride : Final[Tuple[int, int, int]] = (1, 2, 2)
  kernel_size : Final[Tuple[int, int, int]] = (1, 3, 3)
  dilation : Final[int] = 1
  padding : Final[int] = 0
  return_indices : Final[bool] = False
  def forward(self: __torch__.torch.nn.modules.pooling.MaxPool3d,
    input: Tensor) -> Tensor:
    _0 = __torch__.torch.nn.functional._max_pool3d
    _1 = _0(input, [1, 3, 3], [1, 2, 2], [0, 0, 0], [1, 1, 1], True, False, )
    return _1
class AvgPool3d(Module):
  __parameters__ = []
  __buffers__ = []
  training : bool
  divisor_override : Final[None] = None
  stride : Final[Tuple[int, int, int]] = (1, 1, 1)
  count_include_pad : Final[bool] = True
  kernel_size : Final[Tuple[int, int, int]] = (2, 7, 7)
  padding : Final[int] = 0
  ceil_mode : Final[bool] = False
  def forward(self: __torch__.torch.nn.modules.pooling.AvgPool3d,
    input: Tensor) -> Tensor:
    _2 = torch.avg_pool3d(input, [2, 7, 7], [1, 1, 1], [0, 0, 0], False, True, None)
    return _2
